<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from uncprb_getname.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="uncprb_getname" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>uncprb_getname</refname><refpurpose>Returns the name.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   name = uncprb_getname(prbmat)
   name = uncprb_getname(prbmat,longflag)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>prbmat:</term>
      <listitem><para> a matrix of floating point integer, the problem number</para></listitem></varlistentry>
   <varlistentry><term>longflag :</term>
      <listitem><para> a boolean, if true returns the "long name" - human readable - of the test case. If false, returns the short name. (default = %f)</para></listitem></varlistentry>
   <varlistentry><term>name:</term>
      <listitem><para> a string, the name of the problem</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Selects the appropriate function based on nprob.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Get the name for Rosenbrock's test case
nprob = 1
name = uncprb_getname(nprob)

// Get all names at once
nprobmax = uncprb_getproblems();
namemat = uncprb_getname(1:nprobmax);

// Search for number of the "almost" problem
nprobmax = uncprb_getproblems();
namemat = uncprb_getname(1:nprobmax);
nprob = find(namemat=="almost")

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010 - DIGITEO</member>
   <member>Scilab port: 2000-2004, Benoit Hamelin, Jean-Pierre Dussault</member>
   <member>Matlab port: 1994, Chaya Gurwitz, Livia Klein, Madhu Lamba</member>
   <member>Fortran 77: 1981, More, Garbow, Hillstrom</member>
   </simplelist>
</refsection>
</refentry>
